#ifndef RBLNANO1_H
#define RBLNANO1_H

#ifdef __cplusplus
extern "C" {
#endif

#include "nrf_gpio.h"

// definitions for RBL NANO 1.5

#define LEDS_NUMBER             1

#define LED_OB                  19
#define LED_START               LED_OB
#define LED_STOP                LED_OB

#define LEDS_ACTIVE_STATE       0

#define BSP_LED_0               LED_OB

#define LEDS_LIST               { LED_OB }
// #define BSP_LED_0_MASK          ( 1 << BSP_LED_0 )
// #define LEDS_MASK               ( BSP_LED_0 )
#define LEDS_INV_MASK           LEDS_MASK

#define BUTTONS_NUMBER          0

#define RX_PIN_NUMBER           11
#define TX_PIN_NUMBER           9
#define CTS_PIN_NUMBER          10
#define RTS_PIN_NUMBER          8

#define HWFC                    true

#ifdef __cplusplus
}
#endif

#endif // RBLNANO1_H
